kate_4.14.2-2_amd64.deb


Advertisement

Description

kate - powerful text editor

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: kate
Package version: 4.14.2
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 4.77 KB
Download size: 587.44 KB
Official Mirror: ftp.br.debian.org
Kate is a powerful text editor that can open multiple files simultaneously. With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs as a lightweight but capable development environment. Kate's many tools, plugins, and scripts make it highly customizable. Kate's features include: * Multiple saved sessions, each with numerous files * Scriptable syntax highlighting, indentation, and code-folding * Configurable templates and text snippets * Symbol viewers for C, C++, and Python * XML completion and validation This package is part of the KDE 4 Base applications module.

Alternatives

    Download

    Binary package: kate_4.14.2-2_amd64.deb
    Source package: kate

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install kate deb package:
      # sudo apt-get install kate

    Files

    • /usr/bin/kate
    • /usr/lib/kde4/kate_kttsd.so
    • /usr/lib/kde4/katebacktracebrowserplugin.so
    • /usr/lib/kde4/katebuildplugin.so
    • /usr/lib/kde4/katecloseexceptplugin.so
    • /usr/lib/kde4/katectagsplugin.so
    • /usr/lib/kde4/katefilebrowserplugin.so
    • /usr/lib/kde4/katefiletemplates.so
    • /usr/lib/kde4/katefiletreeplugin.so
    • /usr/lib/kde4/kategdbplugin.so
    • /usr/lib/kde4/katekonsoleplugin.so
    • /usr/lib/kde4/katemailfilesplugin.so
    • /usr/lib/kde4/kateopenheaderplugin.so
    • /usr/lib/kde4/kateprojectplugin.so
    • /usr/lib/kde4/katereplicodeplugin.so
    • /usr/lib/kde4/katesearchplugin.so
    • /usr/lib/kde4/katesnippetsplugin.so
    • /usr/lib/kde4/katesqlplugin.so
    • /usr/lib/kde4/katesymbolviewerplugin.so
    • /usr/lib/kde4/katetabbarextensionplugin.so
    • /usr/lib/kde4/katetabifyplugin.so
    • /usr/lib/kde4/katetextfilterplugin.so
    • /usr/lib/kde4/katexmlcheckplugin.so
    • /usr/lib/kde4/katexmltoolsplugin.so
    • /usr/lib/kde4/ktexteditor_lumen.so
    • /usr/lib/kde4/plasma_applet_katesession.so
    • /usr/lib/kde4/libkdeinit/libkdeinit4_kate.so
    • /usr/share/applications/kde4/kate.desktop
    • /usr/share/doc/kate/changelog.Debian.gz
    • /usr/share/doc/kate/copyright
    • /usr/share/kde4/services/kate_kttsd.desktop
    • /usr/share/kde4/services/katebacktracebrowserplugin.desktop
    • /usr/share/kde4/services/katebuildplugin.desktop
    • /usr/share/kde4/services/katecloseexceptplugin.desktop
    • /usr/share/kde4/services/katectagsplugin.desktop
    • /usr/share/kde4/services/katefilebrowserplugin.desktop
    • /usr/share/kde4/services/katefiletemplates.desktop
    • /usr/share/kde4/services/katefiletreeplugin.desktop
    • /usr/share/kde4/services/kategdbplugin.desktop
    • /usr/share/kde4/services/katekonsoleplugin.desktop
    • /usr/share/kde4/services/katemailfilesplugin.desktop
    • /usr/share/kde4/services/kateopenheader.desktop
    • /usr/share/kde4/services/kateprojectplugin.desktop
    • /usr/share/kde4/services/katereplicodeplugin.desktop
    • /usr/share/kde4/services/katesearch.desktop
    • /usr/share/kde4/services/katesql.desktop
    • /usr/share/kde4/services/katesymbolviewer.desktop
    • /usr/share/kde4/services/katetabbarextension.desktop
    • /usr/share/kde4/services/katetabifyplugin.desktop
    • /usr/share/kde4/services/katetextfilter.desktop
    • /usr/share/kde4/services/katexmlcheck.desktop
    • /usr/share/kde4/services/katexmltools.desktop
    • /usr/share/kde4/services/ktexteditor_lumen.desktop
    • /usr/share/kde4/services/plasma-applet-katesession.desktop
    • /usr/share/kde4/servicetypes/kateplugin.desktop
    • /usr/share/lintian/overrides/kate

    Changelog

    2014-10-21 - Maximiliano Curia <maxy@debian.org> kate (4:4.14.2-2) unstable; urgency=medium * Move data files to data package. (Closes: #766143)

    2014-10-20 - Maximiliano Curia <maxy@debian.org> kate (4:4.14.2-1) unstable; urgency=medium * New upstream release (4.14.2). * Update install files.

    2014-09-17 - Maximiliano Curia <maxy@debian.org> kate (4:4.14.1-1) unstable; urgency=medium * New upstream release (4.14.1).

    2014-08-25 - Maximiliano Curia <maxy@debian.org> kate (4:4.14.0-1) unstable; urgency=medium * Build with tests disabled. * New patch: do_not_enforce_tests * New upstream release. * Update install files.

    2014-08-01 - Maximiliano Curia <maxy@debian.org> kate (4:4.13.3-1) unstable; urgency=medium * New upstream release. * Remove patch: debian-disable-tests.diff, test are run with autopkgtest.

    2014-05-31 - Pino Toscano <pino@debian.org> kate (4:4.13.1-2) unstable; urgency=medium * Team upload. * Disable pate, since it introduces a build-dependency loop (see also https://bugs.debian.org/729215#10). * Do not really install (even if renamed) the go.xml syntax file, since it is already provided by kate-syntax-go (see #628161). * Remove the files we must not install for real, so this should help not installing them accidentally again. * Disable the build of tests, since they are not (and cannot be) run; patch debian-disable-tests.diff.

    2014-05-26 - Maximiliano Curia <maxy@debian.org> kate (4:4.13.1-1) unstable; urgency=medium * New upstream release. * Add pate plugin, sync with kubuntu package. * Update install files. * New patch: sideeffects_in_asserts_are_evil.patch * Add lintian-override to for the js_lint.py file.

    2014-04-28 - Maximiliano Curia <maxy@debian.org> kate (4:4.12.4-1) unstable; urgency=medium * New upstream release.

    2014-03-04 - Maximiliano Curia <maxy@debian.org> kate (4:4.12.3-1) experimental; urgency=medium * New upstream release.

    2014-02-10 - Maximiliano Curia <maxy@debian.org> kate (4:4.12.2-1) experimental; urgency=medium * New upstream release. * Bump kde4libs b-d version. * Update install files. * Bump kde-sc-dev-latest build dependency.

    Advertisement
    Advertisement